%global commit e79458934ce5f4035e4d0a604aaedf7153af2e84
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           bundling-detection-java
Version:        0.1
Release:        0.7.20150611git%{?dist}
Summary:        Bundling detection tool for Java

License:        ASL 2.0
URL:            https://github.com/msrb/bundling-detection-java
Source0:        https://github.com/msrb/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildRequires:  maven-local
BuildArch:      noarch

%description
This package contains bundling detection tool for Java archives (JARs).

%prep
%setup -q -n %{name}-%{commit}

%build
%mvn_build -j

%install
%mvn_install

%jpackage_script org.fedoraproject.bundling.cli.Main "" "" bundling-detection-java bundling-detector-java true

%files -f .mfiles
%dir %{_javadir}/%{name}
%{_bindir}/bundling-detector-java
%license LICENSE

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-0.7.20150611git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-0.6.20150611git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.5.20150611git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 11 2015 Michal Srb <msrb@redhat.com> - 0.1-0.4.20150611git
- Update

* Thu Jun 11 2015 Michal Srb <msrb@redhat.com> - 0.1-0.3.20150611git
- Update

* Thu Jun 11 2015 Michal Srb <msrb@redhat.com> - 0.1-0.2.20150611git
- Update

* Thu Jun 04 2015 Michal Srb <msrb@redhat.com> - 0.1-0.1.20150604git
- Initial packaging

